<template>
  <v-app style="background: #F8F8F8">
    <NavigationDrawer/>
    <v-main>
      <v-container fluid class="pt-10 pb-8 px-2 px-md-8">
 <v-slide-x-transition mode="out-in">
           <nuxt />
    </v-slide-x-transition>
      </v-container>
    </v-main>
    <Snackbar/>
    <Footer/>
  </v-app>
</template>

<script>
import Snackbar from "~/components/Snackbar";
import NavigationDrawer from "~/components/Dashboard/NavigationDrawer";
import Footer from "~/components/Dashboard/NavigationDrawer";

export default {
  middleware: ['auth', 'authRole'],
  data() {
    return {
    };
  },
  components: {
    Snackbar,
    Footer,
    NavigationDrawer
  },
};
</script>
<style scoped>
.slide-fade-enter-active {
   transition: all .3s ease;
}
.slide-fade-leave-active {
   transition: all .8s cubic-bezier(1.0, 0.5, 0.8, 1.0);
}
.slide-fade-enter, .slide-fade-leave-to {
   transform: translateX(10px);
   opacity: 0;
}

</style>
